org.apache.hadoop.mapreduce.jobhistory

## Class JobInfoChange.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<JobInfoChange>
    - - org.apache.hadoop.mapreduce.jobhistory.JobInfoChange.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<JobInfoChange>
  Enclosing class:
    JobInfoChange

      public static class JobInfoChange.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<JobInfoChange>
      implements org.apache.avro.data.RecordBuilder<JobInfoChange>

  RecordBuilder for JobInfoChange instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobInfoChange` | `build()`
    `JobInfoChange.Builder` | `clearJobid()` Clears the value of the 'jobid' field
    `JobInfoChange.Builder` | `clearLaunchTime()` Clears the value of the 'launchTime' field
    `JobInfoChange.Builder` | `clearSubmitTime()` Clears the value of the 'submitTime' field
    `CharSequence` | `getJobid()` Gets the value of the 'jobid' field
    `Long` | `getLaunchTime()` Gets the value of the 'launchTime' field
    `Long` | `getSubmitTime()` Gets the value of the 'submitTime' field
    `boolean` | `hasJobid()` Checks whether the 'jobid' field has been set
    `boolean` | `hasLaunchTime()` Checks whether the 'launchTime' field has been set
    `boolean` | `hasSubmitTime()` Checks whether the 'submitTime' field has been set
    `JobInfoChange.Builder` | `setJobid(CharSequence value)` Sets the value of the 'jobid' field
    `JobInfoChange.Builder` | `setLaunchTime(long value)` Sets the value of the 'launchTime' field
    `JobInfoChange.Builder` | `setSubmitTime(long value)` Sets the value of the 'submitTime' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getJobid

          public CharSequence getJobid()

      Gets the value of the 'jobid' field

    - #### setJobid

          public JobInfoChange.Builder setJobid(CharSequence value)

      Sets the value of the 'jobid' field

    - #### hasJobid

          public boolean hasJobid()

      Checks whether the 'jobid' field has been set

    - #### clearJobid

          public JobInfoChange.Builder clearJobid()

      Clears the value of the 'jobid' field

    - #### getSubmitTime

          public Long getSubmitTime()

      Gets the value of the 'submitTime' field

    - #### setSubmitTime

          public JobInfoChange.Builder setSubmitTime(long value)

      Sets the value of the 'submitTime' field

    - #### hasSubmitTime

          public boolean hasSubmitTime()

      Checks whether the 'submitTime' field has been set

    - #### clearSubmitTime

          public JobInfoChange.Builder clearSubmitTime()

      Clears the value of the 'submitTime' field

    - #### getLaunchTime

          public Long getLaunchTime()

      Gets the value of the 'launchTime' field

    - #### setLaunchTime

          public JobInfoChange.Builder setLaunchTime(long value)

      Sets the value of the 'launchTime' field

    - #### hasLaunchTime

          public boolean hasLaunchTime()

      Checks whether the 'launchTime' field has been set

    - #### clearLaunchTime

          public JobInfoChange.Builder clearLaunchTime()

      Clears the value of the 'launchTime' field

    - #### build

          public JobInfoChange build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<JobInfoChange>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.